@charset "UTF-8";
.access {
    width: var(--contentWidth);
    margin: 80px auto 0;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 30px;
}
.access__detail h3 {
    font-size: 2rem;
}
.access__address {
    margin-top: 10px;
}
.access__detail a {
    font-family: Montserrat;
    font-size: 2.4rem;
    font-weight: 600;
    margin-top: 10px;
}
.access__notes {
    font-size: 1.2rem;
    margin-top: 0;
}
.access__car {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    margin-top: 20px;
}
.access__drivefrom {
    background-color: var(--primary-yellow);
    width: 160px;
    height: 160px;
    padding: 20px 10px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-align: center;
    position: relative;
}
.access__drivefrom::after {
    content: "";
    display: block;
    width: 40px;
    height: 40px;
    background-image: url(../../assets/img/accessicon_car.svg);
    position: absolute;
    bottom: 0;
    right: -3px;
    z-index: 1;
}
.access__from {
    font-weight: bold;
}
.access__min {
    font-family: Montserrat;
    font-size: 3.2rem;
    font-weight: 500;
    line-height: 1;
    letter-spacing: 1.6px;
}
.access__googlemaps > div {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 10px;
    margin-top: 20px;
}
.access__btn--naname {
    width: 40px;
    height: 40px;
    background-color: var(--primary-black);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: rotate(-45deg);
    transition: .3s ease;
}
.access__btn--naname i {
    width: 25px;
    height: 25px;
    text-align: center;
}
.access__googlemaps p {
    font-size: 2rem;
    font-weight: 400;
    transition: .3s ease;
}
.access__maps {
    width: 100%;
    height: stretch;
    border-radius: 20px;
}
@media (any-hover: hover) {
    .access__googlemaps:hover p {
        color: var(--primary-blue);
        transition: .3s ease;
}
}

@media (any-hover: hover) {
    .access__googlemaps:hover .access__btn--naname {
        background-color: var(--primary-blue);
        transition: .3s ease;
}
}

/* access 900px */
@media screen and (max-width: 900px) {
    .access {
        width: var(--contentWidthSP);
        flex-direction: column;
        position: relative;
    }
    .access__detail {
        width: 100%;
        display: flex;
        gap: 30px;
        justify-content: space-between;
    }
    .access__googlemaps {
        position: absolute;
        bottom: 0;
        right: 0;
    }
    .access__maps {
        height: 300px;
        margin-bottom: 60px;
    }
    .access__car {
        margin-top: 0;
    }
}
/* access 768px */
@media screen and (max-width: 768px) {
    .access {
        margin: 20px auto 0;
    }
    .access__detail {
        display: flex;
        gap: 30px;
        flex-direction: column;
    }
    .access__detail a {
        text-decoration: 1px underline;
        text-underline-offset: 3px;
    }
    .access__car {
        margin-top: 0;
        justify-content: flex-start;
    }
}
/* checkin-out */
.access__check {
    width: var(--contentWidth);
    margin: 80px auto 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2%;
}
.check__item {
    width: 100%;
    background-color: var(--primary-40pblue);
    border-radius: 20px;
    padding: 20px 0;
    position: relative;
    display: flex;
    flex-direction: column;
    height: stretch;
}
.check__item h3 {
    text-align: center;
    font-size: 2rem;
    font-weight: bold;
}
.check__item table {
    margin: 10px auto 0;
    border-collapse: separate;
    border-spacing: 30px 10px;
    height: stretch;
} 
.check__item th {
    color: white;
    text-align: center;
    font-size: 1.6rem;
    font-weight: bold;
    line-height: 1; 
    padding: 5px 10px 7px;
    background-color: var(--primary-black);
    border-radius: 40px;
    vertical-align: middle; 
}
.check__item tbody {
    text-align: center;
    font-family: Montserrat;
    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1;
    letter-spacing: 0.54px;
}
.check__notes {
    position: absolute;
    bottom: 0;
    transform: translateY(100%);
    font-size: 1.2rem;
}
/* check in-out 1100px */
@media screen and (max-width: 1100px) {
    .check__item table {
        border-spacing: 8px 10px;
    } 
}
/* check in-out 900px */
@media screen and (max-width: 900px) {
    .access__check  {
        width: var(--contentWidthSP);
    }
}
@media screen and (max-width: 768px) {
    .access__check {
        margin: 40px auto 0;
        display: flex;
        flex-direction: column;
        gap: 20px;
    }
    .check__item:nth-of-type(2) {
        margin-bottom: 20px;
    }
    .check__item table {
        border-spacing: 30px 20px;
    } 
}
/* openhours */
.access__openhour {
    width: var(--contentWidth);
    background-color: var(--primary-whiteY);
    border-radius: 20px;
    margin: 80px auto;
    padding: 40px 10%;
}
.access__openhour h3 {
    text-align: center;
    font-size: 2.4rem;
    font-weight: bold;
    line-height: 1; /* 24px */
    letter-spacing: 2.4px; 
}
.openhour {
    margin-top: 30px;
    display: grid;
    grid-template-columns: repeat(auto-fit, 270px);
    justify-content: center;
    gap: 16px 10%;
}
.openhour__item {
    display: flex;
    align-items: center;
    gap: 20px;
}
.openhour__item dt {
    width: 140px;
    background-color: var(--primary-blue);
    padding: 5px 10px;
    color: white;
    text-align: center;
    font-weight: 600;
}
.openhour__item dd {
    font-family: Montserrat;
    font-size: 1.8rem;
}
/* openhours 900px */
@media screen and (max-width: 900px) {
    .access__openhour  {
        width: var(--contentWidthSP);
    }
}
/* openhours 768px */
@media screen and (max-width: 768px) {
    .access__openhour {
        margin: 40px auto 0;
        padding: 24px 16px;
    }
    .access__openhour h3 {
        font-size: 2rem;
        letter-spacing: 2px; 
    }
    .openhour__item {
        gap: 16px;
    }
    .openhour__item dd {
        font-size: 1.6rem;
    }
}
/* map nearby */
.map__googlemaps {
    margin-top: 50px;
    width: 100vw;
    height: 500px;
}
.map__gglmaps__spot {
    width: var(--contentWidth);
    margin: 10px auto 0;
    display: flex;
    gap: 5px;
}
.map__gglmaps__spot p {
    font-size: 1.2rem;
    margin-right: 10px;
}
.map__gglmaps__spot01,
.map__gglmaps__spot02 {
    display: flex;
    align-items: center;
}
.map__gglmaps__spot01::before {
    content: "";
    width: 20px;
    height: 30px;
    background-image: url(../../assets/img/gglmaps_01.svg);
    background-repeat: no-repeat;
    display: block;
}
.map__gglmaps__spot02::before {
    content: "";
    width: 20px;
    height: 30px;
    background-image: url(../../assets/img/gglmaps_02.svg);
    background-repeat: no-repeat;
    display: block;
}
.map__googlemaps__notes {
    width: var(--contentWidth);
    margin: 10px auto 0;
    font-size: 1.2rem;
}
.nearbystore {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2.5%;
    margin: 50px auto 0;
    width: var(--contentWidth);
}
.nearby__item {
    width: 31.7%;
    padding: 20px;
    border-radius: 30px;
    background-color: white;
    height: stretch;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.nearby__img {
    position: relative;
}
.nearby__number {
    width: 50px;
    height: 50px;
    text-align: center;
    font-family: Montserrat;
    font-size: 2rem;
    font-weight: 500;
    letter-spacing: 1px;
    background-color: var(--primary-yellow);
    border-radius: 50%;
    padding: 10px;
    position: absolute;
    top: -10px;
    left: -10px;
}
.nearby__img img {
    border-radius: 20px;
    aspect-ratio: 340/211;
    border: 3px solid var(--primary-yellow);
}
.nearby__item h3 {
    text-align: center;
    font-size: 1.8rem;
    font-weight: bold;
    margin-top: 10px;
}
.nearby__car {
    text-align: center;
    font-weight: bold;
    background-color: var(--primary-yellow);
    border-radius: 30px;
    margin-top: 5px;
}
.nearby__googlemaps {
    display: inline-block;
}
.nearby__googlemaps a{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    margin-top: 10px;
    text-decoration: underline;
    transition: .3s ease;
}
.nearby__googlemaps i {
    color: var(--primary-black);
    transform: translateY(2px);
    transition: .3s ease;
}
@media (any-hover: hover) {
    .nearby__googlemaps a:hover {
        text-decoration-color: var(--primary-blue);
        transition: .3s ease;
}
}

@media (any-hover: hover) {
    .nearby__googlemaps a:hover p,
    .nearby__googlemaps a:hover i {
        color: var(--primary-blue);
        transition: .3s ease;
}
}
 

/* map nearby 900px */
@media screen and (max-width: 900px) {
    .nearbystore  {
        width: var(--contentWidthSP);
    }
}
/* map nearby 768px */
@media screen and (max-width: 768px) {
    .map__googlemaps {
        margin-top: 20px;
        height: 300px;
    }
    .map__gglmaps__spot {
        width: var(--contentWidthSP);
        flex-direction: column;
        gap: 2px;
    }
    .map__googlemaps__notes {
        width: var(--contentWidthSP);
    }
    .nearbystore  {
        flex-direction: column;
        margin: 20px auto 0;
        gap: 20px;
    }
    .nearby__item {
        width: 100%;
    }
}
/* spot */
.spot {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(290px, 1fr));
    align-items: center;
    gap: 30px;
    margin: 50px auto 0;
    width: var(--contentWidth);
}
.spot__item {
    width:  100%;
    height: 100%;
    padding: 20px;
    border-radius: 30px;
    background-color: white;
    text-align: center;
    display: flex;
    flex-direction: column;
}
.spot__img {
    position: relative;
}
.spot__number {
    width: 50px;
    height: 50px;
    text-align: center;
    color: white;
    font-family: Montserrat;
    font-size: 2rem;
    font-weight: 500;
    letter-spacing: 1px;
    background-color: var(--primary-black);
    border-radius: 50%;
    padding: 10px;
    position: absolute;
    top: -10px;
    left: -10px;
}
.spot__img img {
    border-radius: 20px;
    aspect-ratio: 340/211;
    border: 3px solid var(--primary-blue);
}
.spot__item h3 {
    text-align: center;
    font-size: 1.8rem;
    font-weight: bold;
    margin-top: 10px;
}
.spot__car {
    text-align: center;
    color: white;
    font-weight: bold;
    background-color: var(--primary-blue);
    letter-spacing: 0.01rem;
    border-radius: 30px;
    margin-top: 5px;
}
.spot__detail {
    text-align: start;
    margin-top: 10px;
    height: stretch;
}
.spot__link {
    display: flex;
    justify-content: center;
    align-items: center;
}
.spot__link a{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    margin-top: 10px;
    text-decoration: underline;
}
.spot__link i {
    color: var(--primary-black);
    transform: translateY(2px);
}
.spot__officiallink {
    margin-left: 30px;
}
@media (any-hover: hover) {
    .spot__googlemaps:hover,
    .spot__officiallink:hover {
        text-decoration-color: var(--primary-blue);
        transition: .3s ease;
}
}

@media (any-hover: hover) {
    .spot__googlemaps:hover p,
    .spot__googlemaps:hover i,
    .spot__officiallink:hover p,
    .spot__officiallink:hover i {
        color: var(--primary-blue);
        transition: .3s ease;
}
}
 
/* spot 1500px */
@media screen and (min-width: 1500px) {
    .spot {
        grid-template-columns: repeat(3, 1fr);
    }
}
/* spot 900px */
@media screen and (max-width: 900px) {
    .spot  {
        width: var(--contentWidthSP);
    }
}
/* spot 768px */
@media screen and (max-width: 768px) {
    .spot  {
        margin: 20px auto 0;
    }
}